Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.document
Class LoadFirstFieldSelector

    java.lang.Object
      org.apache.lucene.document.LoadFirstFieldSelector

All Implemented Interfaces:
  Serializable, FieldSelector

    public class LoadFirstFieldSelector

extends Object
implements FieldSelector

Load the First field and break.

See `FieldSelectorResult.LOAD_AND_BREAK`

See Also:
  Serialized Form

Constructor Summary
`LoadFirstFieldSelector()`

Method Summary
`FieldSelectorResult` | `accept(String fieldName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LoadFirstFieldSelector

    public LoadFirstFieldSelector()

Method Detail

### accept

    public FieldSelectorResult accept(String fieldName)

  Specified by:
    `accept` in interface `FieldSelector`
  Parameters:
    `fieldName` - the field to accept or reject
  Returns:
    an instance of `FieldSelectorResult` if the `Field` named `fieldName` should be loaded.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2009 Apache Software Foundation. All Rights Reserved.